unit Unit_DLL;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, VCLTee.TeEngine,
  Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart;

type
  TFormDLL = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormDLL: TFormDLL;

implementation

{$R *.dfm}

uses Series, TeeFunci;

var FChart: TChart;
    FSerie, FSerie2: TLineSeries;

procedure TFormDLL.FormCreate(Sender: TObject);
var
  FPunti  : Integer;
  FValore : Integer;
begin
  FormatSettings.DecimalSeparator:= '.';
  FChart:= TChart.Create(Self);
  FChart.Parent:= Self;
  FChart.Align:= alClient;
  FChart.Gradient.Visible:= True;
  FChart.Gradient.StartColor:= clLime;
  FChart.Gradient.EndColor  := clWhite;
  FSerie:= TLineSeries.Create(Self);
  FChart.AddSeries(FSerie);
  FSerie2:= TLineSeries.Create(Self);
  FChart.AddSeries(FSerie2);

  for FPunti:= 1 to 8 do
    FSerie.Add(42.3);

  FSerie2.DataSource:= FSerie;
  FSerie2.SetFunction(TAverageTeeFunction.Create(Self));
end;

end.
